<?php
/*
 * @package   pkg_radicalreviews
 * @version   1.1.0
 * @author    Delo Design
 * @copyright Copyright (c) 2023 Delo Design. All rights reserved.
 * @license   GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
 * @link      https://delo-design.ru
 */

namespace Joomla\Component\RadicalReviews\Administrator\Table;

defined('_JEXEC') or die;

use Joomla\CMS\Table\Table;
use Joomla\Database\DatabaseDriver;

class ReviewsTable extends Table
{
	/**
	 * Constructor.
	 *
	 * @param   DatabaseDriver  $db  Database connector object
	 *
	 * @since  1.0.0
	 */
	function __construct(DatabaseDriver $db)
	{
		parent::__construct('#__radicalreviews_reviews', 'id', $db);

		// Set the alias since the column is called state
		$this->setColumnAlias('published', 'state');
	}
}